require 'amrita2/rd'

include Amrita2

class MyExtention < RDAStandardExtention
  TMPL = REXML::Document.new <<-'END'
  <div id='extention'>
    <a id='api' href="$1/$2">$1#$2</a>
    <div id='include'><table class='srcbox'>
      <tr><td align='center'><span class='srctitle'>$1</span></td></tr>
      <tr><td><pre>$0</pre></td></tr>
    </table></div>
  </div>
  END

  SPEC = Amrita2::define_template_spec do 
    dynamic_element(:extention, :delete_id=>true) do
      parts_element(:api, :use_args=>true)
      parts_element(:include, :use_args=>true)
    end
  end
  include SPEC.create_template_module(TMPL)

  def include(name, title=name)
    super("--- #{title} ---\n") { File::open(name).read }
  end
end

dir = ARGV.shift

Dir::chdir(dir) do
  Dir::glob("*.rd") do |f|
    #puts f
    ext = MyExtention.new
    to = File::basename(f, '.rd') + '.html'
    #puts to
    Amrita2::RDAProcessor.compile_rd(f, to, 
      :css=>"default.css", :extention_processor=>ext)
  end
end

