require "amrita2/template"
include Amrita2


tmpl = TemplateText.new <<END
<html>
  <body>
    <div id="groups">
       <h1 id="title"></h1>
       <div id="no_data">
          <em>This group has no data.</em>
       </div>
       <div id="one_data">
           This group has only one data: <span id='data'></span>.
       </div>
       <div id="many_data">
           Here is the list of this group data.
           <ul>
             <li id="list"></li>
           </ul>
       </div>
     </div>
   </body>
</html>
END

data = [
  ["Group A", %w(only_one)],
  ["Group B", %w(one two three)],
  ["Group C", %w()]
]

model_data = data.collect do |name, d|
  hash = {:title => name }
  case d.size
  when 0
    hash[:no_data] = true
  when 1
    hash[:one_data] = { :data=>d[0] }
  else
    hash[:many_data] = { :list=>d }
  end
  hash
end

tmpl.expand(STDOUT, { :groups=>model_data })

__END__

<html>
  <body>
    <div>
       <h1>Group A</h1>

       <div>
           This group has only one data: <span>only_one</span>.
       </div>

     </div><div>
       <h1>Group B</h1>


       <div>
           Here is the list of this group data.
           <ul>
             <li>one</li><li>two</li><li>three</li>
           </ul>
       </div>
     </div><div>
       <h1>Group C</h1>
       <div id='no_data'>
          <em>This group has no data.</em>
       </div>


     </div>
   </body>
</html>
