require "amrita2/template"
include Amrita2


TEMPLATE_TEXT = <<END
<html>
<body>
<table id='flist'>
  <tr>
    <th>name</th>
    <th>size</th>
    <th>ctime</th>
    <th>mtime</th>
  </tr>
  <tr id='item'>
    <td id='name' />
    <td align='right' id='size' />
    <td id='ctime' />
    <td id='mtime' />
  </tr>
</table>
</body>
</html>
END

# add an attr to standard class File::Stat 
class File
  class Stat
    attr_accessor :name
  end
end


class PO
  def flist(m)
    m.flist do |mf| 
      Dir['*'].each do |f|
        stat = File::stat(f)
        stat.name = f
        mf.item(stat)
      end
    end
  end
end

tmpl = TemplateText.new(TEMPLATE_TEXT) do
  Amrita2::define_template_spec do 
    dynamic_element(:flist) do
      dynamic_element(:item, :expand_by_member=>true) do 
        dynamic_element(:name)
        dynamic_element(:size)
        dynamic_element(:ctime)
        dynamic_element(:mtime)
      end
    end
  end
end

tmpl.expand(STDOUT, PO.new)
__END__


   name     size            ctime                        mtime
spec.rb      519 Wed Mar 02 17:04:31 JST 2005 Wed Mar 02 16:18:42 JST 2005
matcher.rb  1395 Wed Mar 02 17:04:31 JST 2005 Wed Mar 02 16:38:15 JST 2005
attr.rb     1890 Wed Mar 02 17:04:31 JST 2005 Wed Mar 02 17:02:55 JST 2005
member.rb   1804 Wed Mar 02 17:28:24 JST 2005 Wed Mar 02 17:28:24 JST 2005

